%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-css
Version:    2.2.1
Release:    4%{?dist}
Summary:    A CSS parser/stringifier for Node.js using css-parse and css-stringify
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/visionmedia/css
Source0:    http://registry.npmjs.org/css/-/css-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh


BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(css-parse)
BuildRequires:  npm(css-stringify)
BuildRequires:  npm(inherits)
BuildRequires:  npm(should)
BuildRequires:  npm(source-map)
BuildRequires:  npm(source-map-resolve)
BuildRequires:  npm(urix)
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package


%nodejs_fixdep css-stringify
%nodejs_fixdep source-map
%nodejs_fixdep source-map-resolve

# manually symlink 'inherits', because apparently it's not setup correctly
# to automagically link, probably because of inherits@2
mkdir -p node_modules
ln -sf /usr/lib/node_modules/inherits node_modules/inherits
ls -alt node_modules

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/css
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/css

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -d --reporter dot --require should --require inherits
%endif


%files
%doc History.md LICENSE Readme.md
%{nodejs_sitelib}/css


%changelog
* Sun Oct 25 2015 Jared Smith <jsmith@fedoraproject.org> - 2.2.1-4
- Don't forget the npm(mocha) build requirement for tests

* Sat Oct 24 2015 Jared Smith <jsmith@fedoraproject.org> - 2.2.1-3
- Make sure we include the 'lib' directory

* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 2.2.1-2
- Fix build dependency on npm(source-map-resolve)

* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 2.2.1-1
- Update to upstream 2.2.1 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.6.0-1
- initial package
